# rtpilbcdepay

Extracts iLBC audio from RTP packets (RFC 3952)

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstRTPBaseDepayload
                        ╰──rtpilbcdepay

## Factory details

Authors: – Philippe Kalaf

Classification: – `Codec/Depayloader/Network/RTP`

Rank – secondary

Plugin – rtp

Package – GStreamer Good Plug-ins

## Pad Templates

### `sink`

    application/x-rtp:
              media: audio
         clock-rate: 8000
      encoding-name: ILBC

Presence – always

Direction – sink

Object type – GstPad

### `src`

    audio/x-iLBC:
               mode: { (int)20, (int)30 }

Presence – always

Direction – src

Object type – GstPad

## Properties

### mode

    “mode” I-lbcmode *

iLBC frame mode

Flags : Read / Write

Default value : 30ms (30)

## Named constants

### I-lbcmode

#### Members

`20ms` (20) – 20ms frames
`30ms` (30) – 30ms frames

The results of the search are